aboutsummaryrefslogtreecommitdiffstats
path: root/test/mppa/instr
diff options
context:
space:
mode:
authorCyril SIX <cyril.six@kalray.eu>2018-11-13 18:15:42 +0100
committerCyril SIX <cyril.six@kalray.eu>2018-11-13 18:15:42 +0100
commit6e1ff91536ce40e16e0f6af7f2d032ffda2f752c (patch)
treea27dacb5b9754273f98d55cdd7e57e566451e525 /test/mppa/instr
parent0c28f0900dae418d5beed6a82f7c72f88de83567 (diff)
downloadcompcert-kvx-6e1ff91536ce40e16e0f6af7f2d032ffda2f752c.tar.gz
compcert-kvx-6e1ff91536ce40e16e0f6af7f2d032ffda2f752c.zip
Changed mmult to avoid recomputing + fixed potential source of bug in instr
Diffstat (limited to 'test/mppa/instr')
-rw-r--r--test/mppa/instr/Makefile6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/mppa/instr/Makefile b/test/mppa/instr/Makefile
index 4744ba23..2be69db2 100644
--- a/test/mppa/instr/Makefile
+++ b/test/mppa/instr/Makefile
@@ -72,15 +72,15 @@ check: $(GCC_OUT) $(CCOMP_OUT)
$(OUTDIR)/%.x86-gcc.out: $(BINDIR)/%.x86-gcc.bin
@mkdir -p $(@D)
- timeout $(TIMEOUT) ./$< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) ./$< || { ret=$$?; } > $@; echo $$ret >> $@
$(OUTDIR)/%.gcc.out: $(BINDIR)/%.gcc.bin $(SIMUPATH)
@mkdir -p $(@D)
- timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
$(OUTDIR)/%.ccomp.out: $(BINDIR)/%.ccomp.bin $(SIMUPATH)
@mkdir -p $(@D)
- timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
+ ret=0; timeout $(TIMEOUT) $(SIMU) -- $< || { ret=$$?; } > $@; echo $$ret >> $@
# Assembly to binary